[Mono-dev] 2.10~rc1 and dropped architectures

Anton Andreev antonandreev at fmi.uni-sofia.bg
Mon Feb 7 06:19:23 EST 2011


I could not compile it with the instructions here:

I entered this command:
git clone git://github.com/mono/mono.git
and I installed all the dependencies (or maybe not all? pthreads?).

I could not compile it because it complaint about pthreads, so I filed this bug.

What am I missing?

----- Original Message -----
From: "Jo Shields" <directhex at apebox.org>
To: "Anton Andreev" <antonandreev at fmi.uni-sofia.bg>
Cc: "mono-devel-list" <mono-devel-list at lists.ximian.com>, "petr salinger" <petr.salinger at seznam.cz>, lupus at novell.com
Sent: Monday, February 7, 2011 12:41:22 PM
Subject: Re: [Mono-dev] 2.10~rc1 and dropped architectures

On Mon, 2011-02-07 at 12:17 +0200, Anton Andreev wrote:
> Hi,
> But you can also add support for the just released Debian 6.0 / kFreeBSD:
> The following issues describe the problem:
> 1. "Patch please support kfreebsd by update libgc to gc6.8"
> https://bugzilla.novell.com/show_bug.cgi?id=321634
> 2. Reported by me problem with pthreads which is a consequence of the above issue I think:
> https://bugzilla.novell.com/show_bug.cgi?id=669589
> So there is a patch already, which can fix that.

We already do this. Mono on Debian has supported kFreeBSD for years. Our
current patch branch against 2.10 is at

More information about the Mono-devel-list mailing list